import logging

SCRIPT_CLASS_NAME = "ModelHandler"

# Default Values
DEFAULT_APP_ROOT = "/var/azureml-app"
DEFAULT_AZUREML_BACKEND_HOST = "localhost"
DEFAULT_BACKEND_REST_PORT = "8000"
DEFAULT_BACKEND_GRPC_PORT = "8001"

# Environment Variables
ENV_AML_APP_ROOT = "AML_APP_ROOT"
ENV_AML_ENTRY_SCRIPT = "AZUREML_ENTRY_SCRIPT"
ENV_AZUREML_BACKEND_HOST = "AZUREML_BACKEND_HOST"
ENV_AZUREML_BACKEND_PORT = "AZUREML_BACKEND_PORT"
ENV_BACKEND_TRANSPORT_PROTOCOL = "TRANSPORT_PROTOCOL"
ENV_AML_APP_INSIGHTS_ENABLED = "AML_APP_INSIGHTS_ENABLED"
ENV_AML_APP_INSIGHTS_KEY = "AML_APP_INSIGHTS_KEY"
DEFAULT_BACKEND_TRANSPORT_PROTOCOL = "grpc"
ENV_WORKSPACE_NAME = "WORKSPACE_NAME"
ENV_SERVICE_NAME = "SERVICE_NAME"
ENV_HOSTNAME = "HOSTNAME"

# Logging related constants
CUSTOM_DIMENSIONS = "custom_dimensions"
CONTAINER_ID = "Container Id"
SERVER_TIMESTAMP = "Server Timestamp"
REQUEST_ID = "Request Id"
WORKSPACE_NAME = "Workspace Name"
SERVICE_NAME = "Service Name"

LOG_LEVEL_MAP = {
    "notset": logging.NOTSET,
    "debug": logging.DEBUG,
    "info": logging.INFO,
    "warning": logging.WARNING,
    "error": logging.ERROR,
    "critical": logging.CRITICAL,
}
